- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# NodeCallback.cpp File Reference

`#include <osg/Notify>`
`#include <osg/NodeCallback>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/NodeCallback.cpp:

## Functions
bool | NodeCallback_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | NodeCallback_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
osgDB::RegisterDotOsgWrapperProxy | NodeCallback_Proxy (new NodeCallback,"NodeCallback","Object NodeCallback",&NodeCallback_readLocalData,&NodeCallback_writeLocalData)

## Function Documentation

osgDB::RegisterDotOsgWrapperProxy NodeCallback_Proxy | ( | new | NodeCallback,
|  | "NodeCallback" | ,
|  | "Object NodeCallback" | ,
|  | & | NodeCallback_readLocalData,
|  | & | NodeCallback_writeLocalData
| ) |

bool NodeCallback_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool NodeCallback_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |